> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.middesk.com/reference/website/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server. # Website object > Lists the contents of a website object. This page describes the `website` object, which represents information gathered from analyzing a business's website. Website analysis includes domain registration data, page content, screenshots, and verification of business information found on the site. ## Retrieve a website You can retrieve the website associated with a business using the [Retrieve a website](/api-reference/business-verification/websites/retrieve-website-analysis-for-a-business) endpoint: ```bash curl https://api.middesk.com/v1/businesses/{business_id}/website \ -u {API_KEY}: ``` This returns the full website object with all analyzed data for the business. **`Example JSON response`** ```json title="Example JSON response" { "object": "website", "id": "f5dfdb7f-a946-4111-b4f0-7d7780fb72bc", "business_id": "51c4b91e-f324-467b-86b5-9e0155bcc251", "url": "https://www.middesk.com", "status": "online", "submitted": true, "title": "Middesk | Background Checks on Businesses", "description": "Middesk centralizes the information required to conduct risk and compliance assessments on your customers.", "domain": { "domain": "middesk.com", "creation_date": "2018-11-20T07:02:53.000Z", "expiration_date": "2019-11-20T07:02:53.000Z", "registrar": {}, "redirected": false, "url_shortener": false, "resolved_url": null }, "pages": [ { "category": "home", "url": "https://www.middesk.com/", "text": "Middesk is the easiest way to verify the legitimacy...", "screenshot_url": "https://cdn-middesk-websites.com/10248124-home-1595276893.png" }, { "category": "terms", "url": "https://www.middesk.com/terms-of-use", "text": "...", "screenshot_url": "https://cdn-middesk-websites.com/10248124-terms-1595276893.png" }, { "category": "privacy", "url": "https://www.middesk.com/privacy-policy", "text": "...", "screenshot_url": "https://cdn-middesk-websites.com/10248124-privacy-1595276893.png" } ], "parked": false, "business_name_match": true, "addresses": [], "phone_numbers": [], "error": null, "category": "Standard", "platform": null } ``` ## Website attributes | Attribute | Type | Description | | ----------------------------------------------------- | ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `object` | string | The object type. Always `website`. | | `id` | string (uuid) | The unique identifier for the website record. | | `business_id` | string (uuid) | The unique identifier of the associated business. | | `url` | string or null | The URL that was passed or found for the business. | | `status` | string | The status for the website. Possible values include `online`, `offline`, `unknown`. | | `http_status_code` | integer or null | The HTTP response status code returned when accessing the website. | | `submitted` | boolean | Specifies if the website URL was submitted or found. | | `title` | string or null | The title of the website's home page. | | `description` | string or null | The meta description of the website. | | `business_name_match` | boolean | Indicates whether the business name was found on the website. | | `names` | object\[] | Names found on the website. | | `addresses` | object\[] | Array of addresses found on the website. | | `phone_numbers` | object\[] | Array of phone numbers found on the website. | | `people` | object\[] \| null | People found on the website. | | `email_addresses` | object\[] \| null | Email addresses found on the website. | | `email_addresses[].object` | string | The object type. Always `email_address`. | | `email_addresses[].email` | string | The email address. | | `email_addresses[].id` | string (uuid) | The unique identifier for the email address record. | | `email_addresses[].submitted` | boolean | Whether the email was submitted by the user. | | `email_addresses[].sources` | object\[] | Sources where the email address was found. | | `posts_summary` | string or null | Summary of posts found on the website or linked social media profiles. | | `reviews_summary` | string or null | Summary of reviews found on the website or linked third-party profiles. | | `pages` | object\[] | Returns an array of the pages assessed by Middesk. | | `pages[].category` | string | The type of page. | | `pages[].url` | string | Link to the individual page on the business website. | | `pages[].text` | string | Text on the individual page on the business website. | | `pages[].screenshot_url` | string | URL pointing to the screenshot for the page. | | `parked` | boolean or null | Specifies if a website is a parked domain. A parked domain is a registered domain name that does not have services running on it, or contains no meaningful content about a business. Parked domains commonly function to reserve the domain name for future development. | | `domain` | object or null | Domain registration and redirect information. | | `domain.domain` | string | The provided domain. | | `domain.domain_id` | string \| null | The domain identifier. | | `domain.creation_date` | string | When the domain was originally registered. | | `domain.expiration_date` | string | When the registration for the domain expires. | | `domain.registrar` | object | Information containing more details about the registrar. | | `domain.registrar.name` | string | | | `domain.registrar.organization` | string | | | `domain.registrar.url` | string | | | `domain.redirected` | boolean or null | Whether the domain redirects to a different URL. | | `domain.url_shortener` | boolean or null | Whether the domain uses a URL shortener service. | | `domain.resolved_url` | string or null | The final URL after redirect resolution. Present when `redirected` is `true`. | | `error` | string or null | Specifies any errors encountered while processing the website. Possible values: `malformed_url`-submitted URL is malformed. `blocklisted_url_top_level_domain`-submitted URL contains blocked top level domain like .example or .test. `blocklisted_url_second_level_domain`-submitted URL contains blocked second level domain, like example.com or test.com `business_website_not_found`-Middesk was unable to find a website for the business. | | `category` | string or null | Specifies the category of the website into the following possible values: `Standard`-default value. `Social Media`-website is a social media profile, like a Facebook page. `Third-party Platform`-website is a page on a third-party platform, like a Yelp page. `Marketplace Storefront`-website is a storefront, like an Etsy seller page. | | `platform` | string or null | Specifies the platform of the website (for example, `yelp.com`). Populated if the category is not `Standard`. | | `rating` | object \| null | The overall risk rating for the website and the indicators that informed this rating. | | `risky_keywords_results` | object\[] | Information about any risky keyword hits for a given category found in the business's web presence. | | `risky_keywords_results[].category` | string | The type of risky keyword. | | `risky_keywords_results[].explanation` | string | The reason why the category was included in the results. | | `risky_keywords_results[].severity` | string | The seriousness of the category of the risky keyword. Possible values: `prohibited` `needs_review` `ignore` | | `risky_keywords_results[].sources` | object\[] | Information about any matching keywords that fall under the category for the parent `risky_keywords_result`. | | `risky_keywords_results[].sources[].url` | string | The business website or third-party profile that contains the reference to the matched risky keyword. | | `risky_keywords_results[].sources[].matched_keywords` | string\[] | List of one or more of the matched risky keywords. | | `risky_keywords_results[].sources[].text_snippet` | string | Text from the website containing the risky keyword(s). | | `risky_keywords_results[].sources[].source_type` | string | Description of the source where the keyword was found. Possible values: `google_places_review` `facebook_post` `linkedin_post` `instagram_recent_post` `instagram_top_post` `yelp_review` `google_places_profile` `facebook_profile` `linkedin_profile` `instagram_profile` `yelp_profile` `website` `not_elsewhere_specified` | | `risky_keywords_results[].sources[].posted_at` | string | Date the source was posted. Only available for post and review source types. If not available, the value is `null`. | ## Website status values | Status | Description | | --------- | ------------------------------------------------------ | | `online` | The website is accessible and responding normally. | | `offline` | The website could not be reached or is not responding. | | `unknown` | The website status could not be determined. | ## Parked domains A domain is considered "parked" when it: * Displays a placeholder page from a domain registrar * Shows generic advertising content * Has no meaningful business content * Redirects to a domain parking service Parked domains may indicate that a business does not have an active web presence, which can be a risk indicator in some verification scenarios. > **Get a demo** > > Contact your account manager or [contact sales](https://www.middesk.com/contact-sales) to inquire about access. > Lists the contents of a website object.